io.undertow.client

## Class ALPNClientSelector.ALPNProtocol

- java.lang.Object
- - io.undertow.client.ALPNClientSelector.ALPNProtocol

Enclosing class:
  ALPNClientSelector

    public static class ALPNClientSelector.ALPNProtocol
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ALPNProtocol(org.xnio.ChannelListener<org.xnio.ssl.SslConnection> selected, String protocol)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getProtocol()`
`org.xnio.ChannelListener<org.xnio.ssl.SslConnection>` `getSelected()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ALPNProtocol

    public ALPNProtocol(org.xnio.ChannelListener<org.xnio.ssl.SslConnection> selected,
                        String protocol)

### Method Detail

#### getSelected

    public org.xnio.ChannelListener<org.xnio.ssl.SslConnection> getSelected()

#### getProtocol

    public String getProtocol()